Description

Hi, as the WMS also the WFS allow to have many SRS and the client should be permit to choose the SRS wanted between the

availables.

The WFS client of qgis instead allow only the default SRS.

I tests it with this call:

http://web.regione.toscana.it/wfsvector/com.rt.wfs.RTmap/wfs?SERVICE=WFS&#38;VERSION=1.1.0&#38;REQUEST=GetCapabilities

The layer "idprovince:amprovregionamprov" 

has this SRS availables:

<DefaultSRS>urn:ogc:def:crs:EPSG::25832</DefaultSRS>

<OtherSRS>urn:ogc:def:crs:EPSG::3003</OtherSRS>

<OtherSRS>urn:ogc:def:crs:EPSG::4326</OtherSRS>

<OtherSRS>urn:ogc:def:crs:EPSG::3857</OtherSRS>

But the WFS client allow only the DefaultSRS tag (25832) and ignore the OtherSRS tags.

History

#1 - 2012-10-21 03:34 PM - aperi2007 -

- Category set to Web Services clients/WFS

#2 - 2012-10-21 11:44 PM - Marco Hugentobler

QGIS WFS client supports WFS version 1.0, not 1.1. Therefore, try:

http://web.regione.toscana.it/wfsvector/com.rt.wfs.RTmap/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetCapabilities

#3 - 2012-10-22 03:49 AM - aperi2007 -

- Resolution set to invalid

- Status changed from Open to Closed

Hi,

I don't know the wfs client was a 1.0.0 version.

So you have right.
the WFS 1.0.0 don't allow SRS reprojection.

So I close this issue.

Regards,

Andrea.
